SAML SSO
4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
SAML assertion consumer service#
POST
/auth/saml/{connectionId}/acsÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
connectionIdPflicht | Pfad | string | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/auth/saml/{connectionId}/acs"Begin SAML login (302 redirect)#
GET
/auth/saml/{connectionId}/loginÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
connectionIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/auth/saml/{connectionId}/login"SAML service provider metadata (XML)#
GET
/auth/saml/{connectionId}/metadataÖffentlichParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
connectionIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/auth/saml/{connectionId}/metadata"Find the SSO connection for an email domain#
POST
/auth/saml/discoverÖffentlichAntworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/auth/saml/discover"